> ## Documentation Index
> Fetch the complete documentation index at: https://docs.notte.cc/llms.txt
> Use this file to discover all available pages before exploring further.

# Session Auth Readiness



## OpenAPI

````yaml https://api.notte.cc/openapi.json get /sessions/{session_id}/auth
openapi: 3.1.0
info:
  title: Notte API
  description: >-
    Notte API is a REST API that allows you to interact with Notte. It is used
    to create cloud browser sessions, scrape webpages, and run web ai agents to
    act on your behalf on the internet.
  version: 1.9.1
  x-logo:
    url: https://www.notte.cc/images/logo/logo-white.png
servers: []
security: []
tags:
  - name: agents
    description: Web AI agents (start, stop, status, replay, etc.)
  - name: sessions
    description: Session management (start, stop, status, etc.)
  - name: debug
    description: Session debugging tools (replay,logs, recording, etc.)
  - name: page
    description: Page operations withing a session (observe, step, scrape, etc.)
  - name: storage
    description: File storage interface (upload, download, list, etc.)
  - name: network
    description: Network requests/responses withing a session (intercept, etc.)
  - name: vaults
    description: >-
      Vault & Credentials management (create/delete vaults, create/delete
      credentials, etc.)
  - name: personas
    description: Persona management (create, delete, list emails, list sms, etc.)
  - name: scrape
    description: >-
      Webpage scraping (scrape, screenshot, etc.) with automatic session
      management.
  - name: health
    description: Health check endpoint.
  - name: usage
    description: Usage logs (usage, logs, etc.)
  - name: functions
    description: Functions management (create, delete, list, etc.)
paths:
  /sessions/{session_id}/auth:
    get:
      tags:
        - sessions
      summary: Session Auth Readiness
      operationId: session_auth_readiness
      parameters:
        - name: session_id
          in: path
          required: true
          schema:
            type: string
            title: Session Id
        - name: x-notte-request-origin
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Notte-Request-Origin
        - name: x-notte-sdk-version
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Notte-Sdk-Version
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ManagedAuthReadiness'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
      x-codeSamples: []
components:
  schemas:
    ManagedAuthReadiness:
      properties:
        session_id:
          type: string
          title: Session Id
        status:
          type: string
          enum:
            - authenticating
            - active
            - failed
            - closed
          title: Status
        operations:
          items:
            $ref: '#/components/schemas/ManagedAuthOperation'
          type: array
          title: Operations
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
      type: object
      required:
        - session_id
        - status
      title: ManagedAuthReadiness
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ManagedAuthOperation:
      properties:
        id:
          type: string
          title: Id
        connection_id:
          type: string
          title: Connection Id
        session_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Session Id
        source:
          type: string
          title: Source
        status:
          type: string
          enum:
            - pending
            - running
            - succeeded
            - failed
            - cancelled
          title: Status
        phase:
          type: string
          title: Phase
        attempt:
          type: integer
          title: Attempt
          default: 0
        auth_retry:
          type: integer
          title: Auth Retry
          default: 0
        authenticated:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Authenticated
        failure_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Failure Code
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
        deadline:
          type: string
          format: date-time
          title: Deadline
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - connection_id
        - source
        - status
        - phase
        - deadline
        - created_at
        - updated_at
      title: ManagedAuthOperation
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: token

````